<!DOCTYPE html> 
<html lang="en"> 
<head> 
  <meta charset="UTF-8"> 
  <meta http-equiv="X-UA-Compatible" content="IE=edge"> 
  <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
  <title>Document</title> 
</head> 
<body> 
  <div id="app">
      <form>
        <input v-model="message" placeholder="ketikkan kata kunci">
      </form> 
    <ul>
      <li v-for="book in mencari()">
       {{book}}
      </li>
    </ul>
    
  </div> 
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script> 
  <script> 
 var vm = new Vue({ 
      el: '#app', 
      data: { 
        message : "",
        books : [
            'Kalkulus Dasar',
            'Fisika Dasar',
            'Aljabar Linier Elementer',
            'Aljabar Abstrak',
            'Algoritma Pemrograman'
            ]
 
      }, 
      computed : { 
 
      }, 
      methods : { 
        mencari(){
		    	let hasil_pencarian = []
			    for (book of this.books){
				    let ketemu = book.toUpperCase().indexOf(this.message.toUpperCase())
				    if (ketemu !=-1){
					   hasil_pencarian.push(book)
			    	}
			    }
			return hasil_pencarian    
         } 
    }
  }) 
  </script> 
</body> 
</html>